Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class Schema

    java.lang.Object
      |
      +--org.openspml.message.Schema

public class Schema
extends java.lang.Object

A class representing a `schema` element.

Constructor Summary
`Schema()`
`Schema(java.lang.String xml)` Build a Schema object from an XML string.

Method Summary
`void` | `addAttributeDefinition(AttributeDefinition obj)`
`void` | `addExtendedRequestDefinition(ExtendedRequestDefinition obj)`
`void` | `addObjectClassDefinition(ObjectClassDefinition obj)`
`AttributeDefinition` | `getAttributeDefinition(java.lang.String name)`
`java.util.List` | `getAttributeDefinitions()`
`java.util.List` | `getAttributeDefinitions(java.util.List refs)` Convenience accessor to return a list of resolved AttributeDefinition objects.
`java.util.List` | `getExtendedRequestDefinitions()`
`java.lang.String` | `getMajorVersion()`
`java.lang.String` | `getMinorVersion()`
`ObjectClassDefinition` | `getObjectClassDefinition(java.lang.String name)`
`java.util.List` | `getObjectClassDefinitions()`
`ProviderIdentifier` | `getProviderIdentifier()`
`java.lang.String` | `getProviderIdentifierString()`
`SchemaIdentifier` | `getSchemaIdentifier()`
`java.lang.String` | `getSchemaIdentifierString()`
`void` | `setAttributeDefinitions(java.util.List l)`
`void` | `setExtendedRequestDefinitions(java.util.List l)`
`void` | `setMajorVersion(java.lang.String s)`
`void` | `setMinorVersion(java.lang.String s)`
`void` | `setObjectClassDefinitions(java.util.List l)`
`void` | `setProviderIdentifier(ProviderIdentifier id)`
`void` | `setProviderIdentifier(java.lang.String id)`
`void` | `setSchemaIdentifier(SchemaIdentifier id)`
`void` | `setSchemaIdentifier(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schema

    public Schema()

### Schema

    public Schema(java.lang.String xml)
           throws SpmlException

  Build a Schema object from an XML string.

Method Detail

### setMajorVersion

    public void setMajorVersion(java.lang.String s)

### setMinorVersion

    public void setMinorVersion(java.lang.String s)

### setProviderIdentifier

    public void setProviderIdentifier(ProviderIdentifier id)

### setProviderIdentifier

    public void setProviderIdentifier(java.lang.String id)

### setSchemaIdentifier

    public void setSchemaIdentifier(SchemaIdentifier id)

### setSchemaIdentifier

    public void setSchemaIdentifier(java.lang.String s)

### setObjectClassDefinitions

    public void setObjectClassDefinitions(java.util.List l)

### addObjectClassDefinition

    public void addObjectClassDefinition(ObjectClassDefinition obj)

### setAttributeDefinitions

    public void setAttributeDefinitions(java.util.List l)

### addAttributeDefinition

    public void addAttributeDefinition(AttributeDefinition obj)

### setExtendedRequestDefinitions

    public void setExtendedRequestDefinitions(java.util.List l)

### addExtendedRequestDefinition

    public void addExtendedRequestDefinition(ExtendedRequestDefinition obj)

### getMajorVersion

    public java.lang.String getMajorVersion()

### getMinorVersion

    public java.lang.String getMinorVersion()

### getProviderIdentifier

    public ProviderIdentifier getProviderIdentifier()

### getProviderIdentifierString

    public java.lang.String getProviderIdentifierString()

### getSchemaIdentifier

    public SchemaIdentifier getSchemaIdentifier()

### getSchemaIdentifierString

    public java.lang.String getSchemaIdentifierString()

### getObjectClassDefinitions

    public java.util.List getObjectClassDefinitions()

### getObjectClassDefinition

    public ObjectClassDefinition getObjectClassDefinition(java.lang.String name)

### getAttributeDefinitions

    public java.util.List getAttributeDefinitions()

### getAttributeDefinition

    public AttributeDefinition getAttributeDefinition(java.lang.String name)

### getAttributeDefinitions

    public java.util.List getAttributeDefinitions(java.util.List refs)

  Convenience accessor to return a list of resolved AttributeDefinition objects.

### getExtendedRequestDefinitions

    public java.util.List getExtendedRequestDefinitions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD